You can import this changeset into BK by piping this whole message to:
'| bk receive [path to repository]' or apply the patch as usual.

===================================================================


ChangeSet@1.1414.4.7, 2003-11-09 00:38:05-02:00, acme@conectiva.com.br
  o LLC: update comments for llc_ui_bind and llc_ui_autobind to match new behaviour


 af_llc.c |   25 +++++++------------------
 1 files changed, 7 insertions(+), 18 deletions(-)


diff -Nru a/net/llc/af_llc.c b/net/llc/af_llc.c
--- a/net/llc/af_llc.c	Sat Nov 15 17:04:44 2003
+++ b/net/llc/af_llc.c	Sat Nov 15 17:04:44 2003
@@ -225,20 +225,13 @@
 }
 
 /**
- *	llc_ui_autobind - Bind a socket to a specific address.
- *	@sk: Socket to bind an address to.
- *	@addr: Address the user wants the socket bound to.
+ *	llc_ui_autobind - automatically bind a socket to a sap
+ *	@sock: socket to bind
+ *	@addr: address to connect to
+ *
+ * 	Used by llc_ui_connect and llc_ui_sendmsg when the user hasn't
+ * 	specifically used llc_ui_bind to bind to an specific address/sap
  *
- *	Bind a socket to a specific address. For llc a user is able to bind to
- *	a specific sap only or mac + sap. If the user only specifies a sap and
- *	a null dmac (all zeros) the user is attempting to bind to an entire
- *	sap. This will stop anyone else on the local system from using that
- *	sap.  If someone else has a mac + sap open the bind to null + sap will
- *	fail.
- *	If the user desires to bind to a specific mac + sap, it is possible to
- *	have multiple sap connections via multiple macs.
- *	Bind and autobind for that matter must enforce the correct sap usage
- *	otherwise all hell will break loose.
  *	Returns: 0 upon success, negative otherwise.
  */
 static int llc_ui_autobind(struct socket *sock, struct sockaddr_llc *addr)
@@ -278,11 +271,7 @@
  *	@addrlen: Length of the uaddr structure.
  *
  *	Bind a socket to a specific address. For llc a user is able to bind to
- *	a specific sap only or mac + sap. If the user only specifies a sap and
- *	a null dmac (all zeros) the user is attempting to bind to an entire
- *	sap. This will stop anyone else on the local system from using that
- *	sap. If someone else has a mac + sap open the bind to null + sap will
- *	fail.
+ *	a specific sap only or mac + sap.
  *	If the user desires to bind to a specific mac + sap, it is possible to
  *	have multiple sap connections via multiple macs.
  *	Bind and autobind for that matter must enforce the correct sap usage

===================================================================


This BitKeeper patch contains the following changesets:
1.1414.4.7
## Wrapped with gzip_uu ##


M'XL( ,QXMC\  ]5476O;,!1]CG[%A3X,5FSKPU\Q9'1KQS966.GH<Y!EM0Z-
MI6#)*07_^%TY3;]65C;Z,L>*%=V3ZW///=P#N'"ZKV92=9H<P%?K?#53UFCE
M5UL9*]O%=8^!<VLQD+2VTTG )O4U3XSV$8_SF!%$G$FO6MCJWE4S%HO[$W^[
MT=7L_/.7B]./YX0L%G#<2G.E?VH/BP7QMM_*=>..I&_7UL2^E\9UVD_O'N^A
M(Z>4XR=CA:!9/K*<IL6H6,.83)EN*$_+/"6!VM%S^D^S",;HG'*1\W2D!164
MG "+6<K2.(T+H")A+*%SH+02946SB/**4G@Q,QPRB"CY!&];Q3%18.'T]+B"
M8=-(KP&S=-IX!Y>VA_5:+8?5LEZ9!B2NN]]R\'8Z\Q:Z27JC;Z#6K=RN[-"3
M[X#5EN3L07\2_>5%")64?'A9C!'MD""7L);.JNM8[>K-!*-"9*BW$$6>C:*<
M%YPKEI99/==:OY).7B[QL4NV;UX1Q$,1L\E0SY'!5V]+\95T+U',&5+D/$LG
M?^7TJ;.**LO_[*P"(E;^-];:->,'1/W-=*-7SG[KRS_X[83S$@3YQ@6%G,#[
MV7-&$80MDEHIN5[?PHXZA.;B@$&^N)>;\,^C<%8]B@3H%)!-TU<0OK5S(8+=
M".W +<;QAAE.R0;JV[T@>\ CC9PV3>>NX*;5!GRK8<#!"JUTYIV?4KB-5JO+
M.YI#R/=8[3L^$V,#>^R>5!)J..&" \-YQ4L&&6I29L!" ?(!CSBP!E^ S>RD
=@L-P$C_,9]5J=>V&;E$K6M:BX>07DB?1L@(&    
 
